Package org.apache.qpid.proton.engine

# Interface SslPeerDetails

All Known Subinterfaces:
  `ProtonJSslPeerDetails`

All Known Implementing Classes:
  `SslPeerDetailsImpl`

public interface SslPeerDetails
The details of the remote peer involved in an SSL session. Used when creating an SSL session to hint that the underlying SSL implementation should attempt to resume a previous session if one exists for the same peer details, e.g. using session identifiers (http://tools.ietf.org/html/rfc5246) or session tickets (http://tools.ietf.org/html/rfc5077).

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`SslPeerDetails.Factory`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHostname()`
`int`
`getPort()`

## Method Details

### getHostname

String getHostname()

### getPort

int getPort()